FOSDEM 2014 Sojourner App for Nokia N900

I have updated the Sojourner schedule app for Nokia N900 for FOSDEM 2014. It has been done in a dirty way – instead of recompiling the debian package I have added a new fosdem2014 conference file and updated the config file to use it.

One issue was that Sojourner does not support HTTPS protocol for downloading the schedule, and Fosdem 2014 schedule is only available through HTTPS. To solve this problem I have created HTTP proxy at the following URL: http://fosdem.loomchild.net/2014/schedule/xml and configured the package to use my proxy. Apache configuration looks like this:

There is another minor improvement – stripping of HTML tags from event abstracts and descriptions, because Sojourner does not support it. To do that I used mod_substitute Apache module. Here’s the configuration:

Requirements:

  • Old Sojourner version should be un-installed.
  • Dependencies (same as original Sojourner): python2.5, python-gobject (>= 2.16), python-hildon, python-notify, python-osso, python-dbus

Package download URL:
http://fosdem.loomchild.net/sojourner_0.2.8_all.deb

Update: I am now the official sojourner maintainer. To download the latest package please visit https://github.com/loomchild/sojourner.

3 thoughts on “FOSDEM 2014 Sojourner App for Nokia N900

  1. Hi Will,

    Thanks for contacting me. I don’t have a repo for my changes yet – the problem is that I don’t know the complete package build process for N900.

    I know that you are looking for maintainer – I will let you know in few weeks via email if I am interested. Is that OK?

Leave a Reply

Your email address will not be published.